#pragma once
#include <math.h>
#include <windows.h>

class mathVector;	//forward decl

bool _getIntersection(mathVector ptA1, mathVector ptA2,
					  mathVector ptB1,mathVector ptB2,mathVector * collidePt );

bool inRect(int xVal,int yVal,RECT rect1);
bool inRect(mathVector pt1,mathVector bound1,mathVector bound2);

float Rnd(float,float);

const float pi		=(const float)3.141593;
const float piBy2	=(const float)1.570796;

class mathVector
{

public:
	float x,y;	//it is a pain to make it friend to all the classes, so use public vars.

	mathVector(float a=0,float b=0);	//constructor

	mathVector operator + (mathVector a);//add 2 vectors
	mathVector operator - (mathVector a);//subtract 2 vectors

	float operator * (mathVector a);//dot product
	mathVector UnitVector();		//returns unit vector
	operator float ();				//returns absolute value

	friend mathVector operator * (float a,mathVector b);//scaling of vector
	friend mathVector operator * (mathVector b,float a);//scaling of vector
};
